<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.project.ilsaenterprise">

    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> <!-- 18 Desember 2020 -->
    <!-- <action android:name="android.intent.action.BOOT_COMPLETED" /> -->
    <uses-feature android:name="android.hardware.camera" />
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />
    <uses-feature
        android:name="android.hardware.location"
        android:required="true" />
    <uses-feature
        android:name="android.hardware.location.gps"
        android:required="false" />

    <uses-permission android:name="android.permission.USE_FINGERPRINT" />

    <application
        android:allowBackup="true"
        android:icon="@drawable/ilsa"
        android:label="@string/app_name"
        android:roundIcon="@drawable/ilsa"
        android:supportsRtl="true"
        android:theme="@style/Theme.ILSAEnterprise">
        <activity
            android:name=".account.CreateUser"
            android:exported="true" />
        <activity
            android:name=".monitoring.ShowData"
            android:exported="true" />
        <activity
            android:name=".monitoring.SelectImage"
            android:exported="true" />
        <activity
            android:name=".account.ChangePhone"
            android:exported="true" />
        <activity
            android:name=".account.ChangeName"
            android:exported="true" />
        <activity android:name=".Home" />
        <activity android:name=".QuestWfh" /> <!-- <activity android:name=".kotlin.ShowClock" /> -->
        <activity android:name=".CheckKehadiranWfh" />
        <activity android:name=".AttendanceWfh" />
        <activity android:name=".OpenNewsActivity" />
        <activity android:name=".BeritaActivity" /> <!-- <activity android:name=".AddPanen" /> -->
        <activity android:name=".monitoring.LokasiMonitoring" /> <!-- <activity android:name=".JumlahKerja" /> -->
        <!-- <activity android:name=".CovidStatistic" /> -->
        <!-- <activity android:name=".CovidNews" /> -->
        <activity android:name=".monitoring.ShowSelfMonitoring" />
        <activity android:name=".monitoring.HistoryMonitoring" /> <!-- <activity android:name=".RequestOtp" /> -->
        <!-- <activity android:name=".RegisterPegawai" /> -->
        <!-- <activity android:name=".DataLaporan" /> -->
        <activity android:name=".KirimData" />
        <activity android:name=".LoginBatal" /> <!-- <activity android:name=".ZoomMonitoring" /> -->
        <activity android:name=".monitoring.DisplayMonitoring" />
        <activity android:name=".monitoring.ListData" />
        <activity android:name=".monitoring.MainBeacon" />
        <activity android:name=".monitoring.ZoomMonitoring" /> <!-- <activity android:name=".HistoryWfh" /> -->
        <!-- <activity android:name=".TodoList" /> -->
        <activity android:name=".WorkFromHome" /> <!-- <activity android:name=".PhoneVerification" /> -->
        <activity android:name=".GroupChatActivity" /> <!-- <activity android:name=".ArcMap" /> -->
        <!-- <activity android:name=".TrackingMainActivity" /> -->
        <!-- <activity android:name=".SettingsActivity" /> -->
        <!-- <activity android:name=".TrackingActivity" /> -->
        <!-- <activity android:name=".TrackingAll" /> -->
        <activity android:name=".account.UserProfile" /> <!-- <activity android:name=".MapGis" /> -->
        <!-- <activity android:name=".Lapor" /> -->
        <activity android:name=".HistoryAttendance" /> <!-- <activity android:name=".ListData" /> -->
        <!-- <activity android:name=".UploadList" /> -->
        <!-- <activity android:name=".FingerAuth" /> -->
        <activity android:name=".monitoring.Upload" />
        <activity android:name=".MapActivity" /> <!-- <activity android:name=".ChatroomActivity" /> -->
        <!-- <activity -->
        <!-- android:name=".ChatRoom" -->
        <!-- android:label="Chats" /> -->
        <activity
            android:name=".Login"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.theartofdev.edmodo.cropper.CropImageActivity"
            android:theme="@style/Base.Theme.AppCompat" />

        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="@string/map_key" />
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_icon"
            android:resource="@drawable/ilsa" />
        <meta-data
            android:name="com.google.firebase.messaging.default_notification_channel_id"
            android:value="ILSA Enterprise" />

        <uses-library
            android:name="com.google.android.maps"
            android:required="true" />
        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />
    </application>

</manifest>